---
title: User Presence Avatar
description: A compact avatar group for showing online and offline users, with smooth animated transitions when presence changes.
author:
  name: arhamkhnz
  url: https://github.com/arhamkhnz
---

<ComponentPreview name="user-presence-avatar-demo" />

## Installation

<ComponentInstallation name="user-presence-avatar" />

## Usage

```tsx
<UserPresenceAvatar />
```

## Credits

- Credits to [Farrel](https://x.com/farrelput) for [this X post](https://x.com/farrelput/status/1915792408580628817) as inspiration
